### Hierarchy

- I18n

## Index

### Properties

- locale
- translationStrings
- translations

### Methods

- get
- getLocale
- getLocaleObservable
- getMultiple
- getOverridable
- getSubject
- getValueFromPath
- replace
- set
- setLocale

## Properties

### Protected locale

locale: BehaviorSubject<string> = new BehaviorSubject("en")

- Defined in src/i18n/i18n.service.ts:155

### Protected translationStrings

translationStrings: object = EN

- Defined in src/i18n/i18n.service.ts:151

#### Type declaration

- ##### BANNER: object

  - ##### CLOSE_BUTTON: string

- ##### CALENDAR: object

  - ##### QUARTERS: object[]

  - ##### MONTHS: object

    - ##### APRIL: string

    - ##### AUGUST: string

    - ##### DECEMBER: string

    - ##### FEBRUARY: string

    - ##### JANUARY: string

    - ##### JULY: string

    - ##### JUNE: string

    - ##### MARCH: string

    - ##### MAY: string

    - ##### NOVEMBER: string

    - ##### OCTOBER: string

    - ##### SEPTEMBER: string

  - ##### SHORTWEEKDAYS: object

    - ##### FRIDAY: string

    - ##### MONDAY: string

    - ##### SATURDAY: string

    - ##### SUNDAY: string

    - ##### THURSDAY: string

    - ##### TUESDAY: string

    - ##### WEDNESDAY: string

- ##### CODE_SNIPPET: object

  - ##### CODE_SNIPPET_TEXT: string

  - ##### COPIED: string

  - ##### COPY_CODE: string

  - ##### SHOW_LESS: string

  - ##### SHOW_MORE: string

  - ##### SHOW_MORE_ICON: string

- ##### COMBOBOX: object

  - ##### CLEAR_SELECTED: string

  - ##### CLEAR_SELECTIONS: string

  - ##### PLACEHOLDER: string

  - ##### A11Y: object

    - ##### CLEAR_SELECTED: string

    - ##### CLEAR_SELECTIONS: string

    - ##### CLOSE_MENU: string

    - ##### OPEN_MENU: string

- ##### DIALOG: object

  - ##### POPOVER: object

    - ##### CLOSE: string

- ##### DROPDOWN: object

  - ##### CLEAR: string

  - ##### OPEN: string

  - ##### SELECTED: string

  - ##### FILTER: object

    - ##### NO_RESULTS: string

    - ##### RESET_SEARCH: string

    - ##### SEARCH: string

    - ##### SELECTED_ONLY: string

- ##### DROPDOWN_LIST: object

  - ##### LABEL: string

- ##### FILE_UPLOADER: object

  - ##### CHECKMARK: string

  - ##### CHECKMARK_TITLE: string

  - ##### OPEN: string

  - ##### REMOVE_BUTTON: string

  - ##### REMOVE_TITLE: string

- ##### LOADING: object

  - ##### TITLE: string

- ##### MODAL: object

  - ##### CLOSE: string

- ##### NOTIFICATION: object

  - ##### CLOSE_BUTTON: string

- ##### NUMBER: object

  - ##### DECREMENT: string

  - ##### INCREMENT: string

- ##### OVERFLOW_MENU: object

  - ##### OVERFLOW: string

- ##### PAGINATION: object

  - ##### BACKWARD: string

  - ##### FORWARD: string

  - ##### ITEMS_PER_PAGE: string

  - ##### NEXT: string

  - ##### OF_LAST_PAGE: string

  - ##### OF_LAST_PAGES: string

  - ##### OPEN_LIST_OF_OPTIONS: string

  - ##### PAGE: string

  - ##### PREVIOUS: string

  - ##### TOTAL_ITEM: string

  - ##### TOTAL_ITEMS: string

  - ##### TOTAL_ITEMS_UNKNOWN: string

- ##### SEARCH: object

  - ##### CLEAR_BUTTON: string

  - ##### LABEL: string

  - ##### PLACEHOLDER: string

  - ##### TOOLBAR_SEARCH: string

- ##### TABLE: object

  - ##### CHECKBOX_HEADER: string

  - ##### CHECKBOX_ROW: string

  - ##### END_OF_DATA: string

  - ##### EXPAND_BUTTON: string

  - ##### FILTER: string

  - ##### GO_TO_PAGE: string

  - ##### NEXT_3: string

  - ##### NEXT_PAGE: string

  - ##### PREVIOUS_3: string

  - ##### PREVIOUS_PAGE: string

  - ##### ROW: string

  - ##### SCROLL_TOP: string

  - ##### SORT_ASCENDING: string

  - ##### SORT_DESCENDING: string

- ##### TABLE_TOOLBAR: object

  - ##### ACTION_BAR: string

  - ##### BATCH_TEXT: string

  - ##### BATCH_TEXT_MULTIPLE: string

  - ##### BATCH_TEXT_SINGLE: string

  - ##### CANCEL: string

- ##### TABS: object

  - ##### BUTTON_ARIA_LEFT: string

  - ##### BUTTON_ARIA_RIGHT: string

- ##### TILES: object

  - ##### COLLAPSE: string

  - ##### EXPAND: string

  - ##### TILE: string

- ##### TOGGLE: object

  - ##### OFF: string

  - ##### ON: string

- ##### UI_SHELL: object

  - ##### SKIP_TO: string

  - ##### HEADER: object

    - ##### CLOSE_MENU: string

    - ##### OPEN_MENU: string

  - ##### SIDE_NAV: object

    - ##### LABEL: string

    - ##### SWITCHER: string

    - ##### TOGGLE_CLOSE: string

    - ##### TOGGLE_OPEN: string

### Protected translations

translations: Map<any, any> = new Map()

- Defined in src/i18n/i18n.service.ts:153

## Methods

### get

- get(path: string): any

- - Defined in src/i18n/i18n.service.ts:208

  #### Parameters

  - ##### Optional path: string

  #### Returns any

### getLocale

- getLocale(): string

- - Defined in src/i18n/i18n.service.ts:176

  #### Returns string

### getLocaleObservable

- getLocaleObservable(): Observable<string>

- - Defined in src/i18n/i18n.service.ts:183

  #### Returns Observable<string>

### getMultiple

- getMultiple(partialPath: string): object

- - Defined in src/i18n/i18n.service.ts:220

  #### Parameters

  - ##### partialPath: string

  #### Returns object

  - ##### [key: string]: Observable<string>

### getOverridable

- getOverridable(path: string): Overridable

- - Defined in src/i18n/i18n.service.ts:237

  #### Parameters

  - ##### path: string

  #### Returns Overridable

### Protected getSubject

- getSubject(path: string): Observable<string>

- - Defined in src/i18n/i18n.service.ts:284

  #### Parameters

  - ##### path: string

  #### Returns Observable<string>

### getValueFromPath

- getValueFromPath(path: any): string | object

- - Defined in src/i18n/i18n.service.ts:267

  #### Parameters

  - ##### path: any

  #### Returns string | object

### replace

- replace(subject: Observable<string>, variables: object): any

- - Defined in src/i18n/i18n.service.ts:258

  #### Parameters

  - ##### subject: Observable<string>

  - ##### variables: object

    - ##### [key: string]: string

  #### Returns any

### set

- set(strings: TranslationStrings): void

- - Defined in src/i18n/i18n.service.ts:192

  #### Parameters

  - ##### strings: TranslationStrings

  #### Returns void

### setLocale

- setLocale(language: string, strings: TranslationStrings): void

- - Defined in src/i18n/i18n.service.ts:166

  #### Parameters

  - ##### language: string

  - ##### Optional strings: TranslationStrings

  #### Returns void

Generated using TypeDoc